Перейти из форума на сайт.

НовостиФайловые архивы
ПоискАктивные темыТоп лист
ПравилаКто в on-line?
Вход Забыли пароль? Первый раз на этом сайте? Регистрация
Компьютерный форум Ru.Board » Компьютеры » Программы » Pale Moon (часть 1)

Модерирует : gyra, Maz

Maz (17-03-2018 22:15): Pale Moon (часть 2)  Версия для печати • ПодписатьсяДобавить в закладки
Страницы: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199

   

frglik23



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору


Браузер оптимизирован для современных процессоров (оптимизирована компиляция программного кода для CPU).
Pale Moon поддерживает все процессоры (CPU) начиная от седьмого поколения поддерживающих SSE2 и 3, т.е Pentium IV, Pentium-M/Celeron-M, Pentium-D/Celeron-D,AMD Opteron/Athlon64 и все современные многоядерные процессоры.
 
По данным разработчиков скорость браузера Pale Moon на 22%-25% выше Firefox, но к сожалению нет регламентированных тестов по которым можно было бы точно определить скорость.
 

(Начиная с версии 27 поддержка Windows XP x86/x64, Server 2003 и любых retail NT 5.x прекращена)
Однако, существуют пользовательские сборки под XP на основе исходников, смотрите ниже.

    Преимущества:
  • Поддержка расширений и тем Firefox
  • Оптимизированный 100% исходный код Firefox
  • Увеличение скорости выполнения скриптов и отображения страниц по сравнению с Firefox
  • Использование меньше памяти по сравнению с Firefox.
  • Расширенная поддержка DOM
  • В портативной сборке в отличие от Firefox можно одновременно запускать несколько копий программы (из разных папок).

Утилита миграции с FF на PM (Pale Moon profile migration tool): скачать
 
Ссылки:
Версия 27.x
Pale Moon 27.8.1 Eng (x86) | (x64)
Pale Moon 27.8.1 Portable Eng (x86) | (x64)

Версии для MacOS

Windows 98 | Windows XP | Пакеты локализации / Инструкция по их установке
 
Пользовательские сборки Рalemoon
Как сделать обычный Pale Moon портативным | альтернативный способ (проще)
Pale Moon commander 2.0... и перевод (папку из зипа положить в extensions)
Утилита  MozArchiver для сохранения в mht взамен неработающей на 26+ UnMHT
Disable Add-on Compatibility Checks - утилита, отменяющая проверку совместимости и позволяющая ставить запрещенные расширения на Pale Moon
Исправление невозможности запуска нескольких копий портативной версии программы (в том числе и при открытии локальных файлов)
Перечень расширений, проблемных, находящихся в работе и излечиваемых в т. ч. и Moon tester tool
MozBackup It allows you to backup and restore bookmarks, mail, contacts, history, extensions, passwords, cache etc.
Pale Moon Status Bar" можно убрать, удалив "Palemoon\extensions\statusbar@palemoon.org.xpi"

Всего записей: 1739 | Зарегистр. 24-04-2002 | Отправлено: 18:55 30-03-2011 | Исправлено: zzz528, 17:30 12-03-2018
Vitalina89

Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
KismetT_v3
XP, решение есть какое-нибудь или всё - возвращаться опять на хром, не к ночи будь помянут - там проблем нет?

Всего записей: 52 | Зарегистр. 20-01-2018 | Отправлено: 10:49 08-02-2018
KismetT_v3



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Цитата:
XP, решение есть какое-нибудь или всё - возвращаться опять на хром

Я вчера на ХРюше такое же словил. На 7-ке подобного не наблюдается. Решения пока не знаю.
 
 
Добавлено:
P.S. А сейчас проверил на ХР, всё работает, в том числе и ваша ссылка. Сабж отсюда, версия - 27.7.2.

----------
Это я .... И это тоже я .... Мы из этих

Всего записей: 1685 | Зарегистр. 08-04-2016 | Отправлено: 11:07 08-02-2018 | Исправлено: KismetT_v3, 11:21 08-02-2018
ss661

Full Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Итого по запрету в Украине
1)Вкомфорте - на данный момент для работы надо в about:config сменить security.ssl.enable_ocsp_stapling на false.
2)Browsec - версия от dutavr https://cloud.mail.ru/public/7Kuu/8k4asXxsy или мод версии 2.0.7 методом изменения файла instal.rdf
 <em:id>{8de7fcbb-c55c-4fbe-bfc5-fc555c87dbc4}</em:id>
              <em:minVersion>27.1.0b1</em:minVersion>  
3)Frigate - медленно и не грузятся картинки
4)Вручную в настройках сети
 
    Адрес сервера — socks.zaborona.help
    Порт — 1488
    Протокол — SOCKS 5
 
 

Всего записей: 441 | Зарегистр. 23-02-2007 | Отправлено: 11:30 08-02-2018 | Исправлено: ss661, 18:21 08-02-2018
KismetT_v3



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Цитата:
Ничего не работает

Это у вас не работает, а у меня всё ОК.
 


----------
Это я .... И это тоже я .... Мы из этих

Всего записей: 1685 | Зарегистр. 08-04-2016 | Отправлено: 13:30 08-02-2018
greatest_nooby

Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
ss661 10:45 08-02-2018
Цитата:
на 27.6.1 - 27.7 недоступно  

Надо скачать browsec_vpn-2.0.7-fx.xpi отсюда и добавить в install.rdf:
Код:
<em:targetApplication>
    <Description>
        <em:id>{8de7fcbb-c55c-4fbe-bfc5-fc555c87dbc4}</em:id>
        <em:minVersion>27.1.0b1</em:minVersion>
        <em:maxVersion>*</em:maxVersion>
    </Description>
</em:targetApplication>

Потом установить из файла. Но это только с версией 2.х прокатит, 3.х скорей всего не заработает, там уже богомерзкий webextension.

Всего записей: 86 | Зарегистр. 22-12-2017 | Отправлено: 13:38 08-02-2018
Transformer



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Цитата:
Vkomforte сдохло.

 

Цитата:
У прокси-серверов, используемых этим расширением, временная проблема с сертификатами, через день-другой должно все пройти само собой. Если нужно срочно починить прямо сейчас, то зайдите в about:config и измените security.ssl.enable_ocsp_stapling на false. Только потом желательно вернуть обратно, когда ситуация с сертификатами прокси-серверов нормализуется.

Добавлено
9.02.18г.
работа восстановлена!
 


----------
Они придут защитить нас от тех
Кто придет нас уничтожить
トランスフォーマー

Всего записей: 1283 | Зарегистр. 22-07-2004 | Отправлено: 13:50 08-02-2018 | Исправлено: Transformer, 04:20 09-02-2018
ss661

Full Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Transformer откуда цитата?

Всего записей: 441 | Зарегистр. 23-02-2007 | Отправлено: 14:13 08-02-2018
Transformer



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
ss661
https://github.com/vkomforte/vkomforte.github.io/issues/6


----------
Они придут защитить нас от тех
Кто придет нас уничтожить
トランスフォーマー

Всего записей: 1283 | Зарегистр. 22-07-2004 | Отправлено: 14:28 08-02-2018
VidelSamogO



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
greatest_nooby
Цитата:
Надо скачать browsec_vpn-2.0.7-fx.xpi отсюда и добавить в install.rdf:

wthqegwer.xml [line 1] : Подробнее...
 
И что получится? Так?

Всего записей: 736 | Зарегистр. 16-08-2008 | Отправлено: 15:10 08-02-2018 | Исправлено: VidelSamogO, 15:17 08-02-2018
greatest_nooby

Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
VidelSamogO 15:10 08-02-2018
Цитата:
И что получится? Так?

Почти. После </em:targetApplication> не хватает </Description>, должно быть так: http://i.imgur.com/Yb74cWx.png

Всего записей: 86 | Зарегистр. 22-12-2017 | Отправлено: 15:36 08-02-2018
Vitalina89

Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
KismetT_v3
Нет, у меня тоже не работает, только при изменении security.ssl.enable_ocsp_stapling, заработало.

Всего записей: 52 | Зарегистр. 20-01-2018 | Отправлено: 16:05 08-02-2018
ss661

Full Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Метод адаптирования расширений в шапку надо. Товарищи подчистите тему от решенных вопросов и неактуальных постов

Всего записей: 441 | Зарегистр. 23-02-2007 | Отправлено: 16:46 08-02-2018 | Исправлено: ss661, 17:43 08-02-2018
Vasily_Koshkin



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
KismetT_v3

Цитата:
Это у вас не работает, а у меня всё ОК.  

Я прошу прощения, но как Вы избавились от такого вот сообщения? У меня тоже XP, правда 27.7.1 (русская), но даже после правки манифеста все равно не устанавливается.  

Всего записей: 1076 | Зарегистр. 07-02-2004 | Отправлено: 17:55 08-02-2018 | Исправлено: Vasily_Koshkin, 20:00 08-02-2018
KismetT_v3



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Цитата:
Я прошу прощения, но как Вы избавились от такого вот  сообщения? У меня тоже XP, правда 27.7.1 (русская), но даже после правки манифеста все равно не устанавливается.  

Здесь у нас похоже возникло недопонимание друг друга. Изначально я ответил на вопрос Vitalina89. В нём не шло речи о дополнениях, имеющих функционал прокси или VPN, которые я на сабже не использую. Но вчера у меня происходила аналогичная ситуация на XP и я предположил, что проблема именно с сертификатами в ХР. В дальнейшем, по ходу диалога в теме, стало понятно, что у всех, имеющих эту проблему, установлены эти дополнения и проблема связана с ними. Такое вот недоразумение.

----------
Это я .... И это тоже я .... Мы из этих

Всего записей: 1685 | Зарегистр. 08-04-2016 | Отправлено: 18:47 08-02-2018
Vasily_Koshkin



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
KismetT_v3

Цитата:
В дальнейшем, по ходу диалога в теме, стало понятно, что у всех, имеющих эту проблему, установлены эти дополнения и проблема связана с ними. Такое вот недоразумение.

Ясно. Честно говоря, я немного потерял нить разговора. Единственное, что остается непонятным, каким именно образом эти дополнения, в частности browsec 2.0.7 с исправленным манифестом, были установлены на XP? Переадресую вопрос ко всем присутствующим.

Всего записей: 1076 | Зарегистр. 07-02-2004 | Отправлено: 19:59 08-02-2018
Transformer



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Vasily_Koshkin
Moon Tester Tool ?!  
https://github.com/JustOff/moon-tester-tool/


----------
Они придут защитить нас от тех
Кто придет нас уничтожить
トランスフォーマー

Всего записей: 1283 | Зарегистр. 22-07-2004 | Отправлено: 20:15 08-02-2018 | Исправлено: Transformer, 20:18 08-02-2018
Vasily_Koshkin



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Transformer
Вы не поверите - именно им и пользуюсь!
Приведенный выше скриншот - это и есть результат его работы. Я даже больше скажу, при использовании Moon Tester Tool манифест править вообще не обязательно. При установке он не смотрит на минимальные и максимальные версии браузера. Но в данном случае, видимо, проблема более сложная.  

Всего записей: 1076 | Зарегистр. 07-02-2004 | Отправлено: 20:34 08-02-2018
dutavr



Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
По поводу обхода блокировок Вся доступная на данный момент информация одним постом. Можно добавить в шапку.
 
1. Самый простой и лучший способ это прописать в FoxyProxy или настройках бразера по пути preferences -> advanced -> network -> connection + settings -> automatic proxy configuration url (настройки -> дополнительные -> сеть -> соединение + настроить -> URL автоматической настройки сервиса прокси) это  
- https://github.com/anticensority/generated-pac-scripts/raw/master/anticensority.pac  
или это  
- https://antizapret.prostovpn.org/proxy.pac
 
1.1 Аналогичный сервис для УКРАИНЫ настраивается следующим образом:
Прописать в FoxyProxy или настройках браузера по пути preferences -> advanced -> network -> connection + settings -> manual proxy configuration -> SOCKS HOST socks.zaborona.help и напротив Port 1488 и ниже выбрать SOCKS 5 (настройки -> дополнительные -> сеть -> соединение + настроить -> ручная настройка сервиса прокси - > узел SOCKS socks.zaborona.help и напротив Порт 1488 и ниже выбрать SOCKS 5)
 
2. Если по каким-то причинам способ 1 не подошёл, можете установить эти адаптированные расширения (можно все сразу):
 
- Browsec VPN - https://cloud.mail.ru/public/7Kuu/8k4asXxsy (без лимита, без цензуры, прокси от Digital Ocean. ВНИМАНИЕ конфликтует с FoxyProxy <- необходимо отключить для работы Browsec)
- SkyZIP proxy - https://cloud.mail.ru/public/4xK4/X7Kf9SYcX (без лимита, без цензуры, настраиваемая степень сжатия трафика, SkyZIP - немецкий провайдер интернета со спутника)
- Windscribe VPN - https://cloud.mail.ru/public/4HTu/5WnjUbGMz (50Гб бесплатного трафика в месяц на бесплатном аккаунте, без цензуры, высокая скорость и анонимизация)  
- AnonTab - https://cloud.mail.ru/public/BpFc/oLn358HGx (продвинутая альтернатива стандартной приватной вкладке включающая в себя NoScript + HTTPSEverywhere + PrivateBrowsing + анонимизирующий proxy. Обеспечивает высокую степень анонимизации, вследствие чего сильно ломает вёрстку).
- friGate - https://cloud.mail.ru/public/9Fk4/gbptH8uSr в расширении немного модифицирован механизм запроса UID (управляемый прокси со списками, без лимита, несколько стран на выбор, некоторые прокси-сервера не обходят блокировки и нужно подбирать страны вручную, настройки запоминаются по отдельности для каждого сайта).  
ВНИМАНИЕ. Для корректной работы friGate необходимо заблокировать доступ к доменному имени fri-gate.org -> откройте в блокноте файл C:\Windows\System32\drivers\etc\hosts и с новой строки добавьте 0.0.0.0 fri-gate.org (также можно заблокировать через файрвол)
 
+ все вышеназванные расширения одним архивом https://mega.nz/#!OJ50Wb6L!h0gnJZdfEun4rX1yDjsvmZzGFMbRjbCBvk-2zjAWQKI
--
Спасибо за внимание.
 
Добавлено:
Vasily_Koshkin

Цитата:
Приведенный выше скриншот - это и есть результат его работы. Я даже больше скажу, при использовании Moon Tester Tool манифест править вообще не обязательно. При установке он не смотрит на минимальные и максимальные версии браузера. Но в данном случае, видимо, проблема более сложная.  

Всё верно при условии если инструментом правильно пользоваться ))
Небольшая подсказка

Всего записей: 173 | Зарегистр. 19-07-2016 | Отправлено: 01:43 09-02-2018 | Исправлено: dutavr, 02:02 09-02-2018
Vasily_Koshkin



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
dutavr

Цитата:
Всё верно при условии если инструментом правильно пользоваться ))  

М-да, тупанул я...
Действительно, в случае с Browsec никаких проблем при установке с диска нет. Я могу в очередной раз ошибаться, но думаю, что это скорее исключение, нежели правило. Теперь меня интересует способ адаптации дополнений в случае, когда Moon Tester Tool не помогает.

Всего записей: 1076 | Зарегистр. 07-02-2004 | Отправлено: 18:33 09-02-2018 | Исправлено: Vasily_Koshkin, 19:03 09-02-2018
vasevase

Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Насчёт глюка зависания YouTube: в теме по сборке ryotam1 пишут,
что якобы это присутствует в официальной версии. Не понял этот момент.
1) Если присутствует, и о нём знают, почему тогда почти за год (!) не исправили?
2) Как он может присутствовать в официальной версии,
если под XP их уже не делают, а zzz528 написал, что в 7-ке проблем нет. Дивные дела...
 
А ситуация с showQuitWarning вообще чуть ли не с бородатых версий FF тянется.

Всего записей: 2581 | Зарегистр. 28-08-2010 | Отправлено: 18:58 09-02-2018 | Исправлено: vasevase, 00:48 10-02-2018
   

Страницы: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199

Компьютерный форум Ru.Board » Компьютеры » Программы » Pale Moon (часть 1)
Maz (17-03-2018 22:15): Pale Moon (часть 2)


Реклама на форуме Ru.Board.

Powered by Ikonboard "v2.1.7b" © 2000 Ikonboard.com
Modified by Ru.Board
© Ru.Board 2000-2018

BitCoin: 1NGG1chHtUvrtEqjeerQCKDMUi6S6CG4iC

Рейтинг.ru